VideoCallsResource
Runs LiveKit video calls under /video-call/livekit.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class VideoCallsResourceRuns LiveKit video calls under /video-call/livekit. Get it from Ovok.videoCalls().
Methods
appointments
public VideoCallsResource.AppointmentsResource appointments()Returns the video-call appointments.
Returns: the appointments resource
access
public VideoCallsResource.AccessResource access()Returns call access for users and guests.
Returns: the access resource
emails
public VideoCallsResource.EmailsResource emails()Returns the call invitation emails.
Returns: the emails resource
notifyActive
public JsonNode notifyActive(String appointmentId) throws IOException, InterruptedExceptionNotifies participants that a call is active (POST /video-call/livekit/notification/active-call/{appointmentId}).
Parameters:
appointmentId: the appointment ID
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode notifyActive(
String appointmentId,
RequestOptions options) throws IOException, InterruptedExceptionNotifies participants that a call is active (POST /video-call/livekit/notification/active-call/{appointmentId}).
Parameters:
appointmentId: the appointment IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
VideoCallsResource.AppointmentsResource
public static final class AppointmentsResourceVideo-call appointments. Get it from VideoCallsResource.appointments().
AppointmentsResource.list
public JsonNode list(Map<String, ?> parameters) throws IOException, InterruptedExceptionLists appointments (GET /video-call/livekit/appointment).
Parameters:
parameters: query parameters
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode list(
Map<String, ?> parameters,
RequestOptions options) throws IOException, InterruptedExceptionLists appointments (GET /video-call/livekit/appointment).
Parameters:
parameters: query parametersoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
AppointmentsResource.create
public JsonNode create(Object body) throws IOException, InterruptedExceptionCreates an appointment (POST /video-call/livekit/appointment).
Parameters:
body: the appointment
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedExceptionCreates an appointment (POST /video-call/livekit/appointment).
Parameters:
body: the appointmentoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
AppointmentsResource.update
public JsonNode update(String appointmentId, Object body) throws IOException, InterruptedExceptionUpdates an appointment (PUT /video-call/livekit/appointment/{appointmentId}).
Parameters:
appointmentId: the appointment IDbody: the updated appointment
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode update(
String appointmentId,
Object body,
RequestOptions options) throws IOException, InterruptedExceptionUpdates an appointment (PUT /video-call/livekit/appointment/{appointmentId}).
Parameters:
appointmentId: the appointment IDbody: the updated appointmentoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
VideoCallsResource.AccessResource
public static final class AccessResourceCall access for users and guests. Get it from VideoCallsResource.access().
AccessResource.permission
public JsonNode permission(String appointmentId) throws IOException, InterruptedExceptionChecks the caller's access to a call (GET /video-call/livekit/access-permission/{appointmentId}).
Parameters:
appointmentId: the appointment ID
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode permission(
String appointmentId,
RequestOptions options) throws IOException, InterruptedExceptionChecks the caller's access to a call (GET /video-call/livekit/access-permission/{appointmentId}).
Parameters:
appointmentId: the appointment IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
AccessResource.createGuest
public JsonNode createGuest(
String appointmentId,
Object body) throws IOException, InterruptedExceptionCreates guest access to a call (POST /video-call/livekit/guest-access/{appointmentId}).
Parameters:
appointmentId: the appointment IDbody: the guest details
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode createGuest(
String appointmentId,
Object body,
RequestOptions options) throws IOException, InterruptedExceptionCreates guest access to a call (POST /video-call/livekit/guest-access/{appointmentId}).
Parameters:
appointmentId: the appointment IDbody: the guest detailsoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
AccessResource.createUser
public JsonNode createUser(String appointmentId) throws IOException, InterruptedExceptionCreates the caller's access to a call (POST /video-call/livekit/user-access/{appointmentId}).
Parameters:
appointmentId: the appointment ID
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode createUser(
String appointmentId,
RequestOptions options) throws IOException, InterruptedExceptionCreates the caller's access to a call (POST /video-call/livekit/user-access/{appointmentId}).
Parameters:
appointmentId: the appointment IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
VideoCallsResource.EmailsResource
public static final class EmailsResourceCall invitation emails. Get it from VideoCallsResource.emails().
EmailsResource.invite
public JsonNode invite(Object body) throws IOException, InterruptedExceptionSends a call invitation (POST /video-call/livekit/mail/invite).
Parameters:
body: the invitation
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode invite(Object body, RequestOptions options) throws IOException, InterruptedExceptionSends a call invitation (POST /video-call/livekit/mail/invite).
Parameters:
body: the invitationoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
EmailsResource.update
public JsonNode update(Object body) throws IOException, InterruptedExceptionSends a call update (POST /video-call/livekit/mail/update).
Parameters:
body: the update
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode update(Object body, RequestOptions options) throws IOException, InterruptedExceptionSends a call update (POST /video-call/livekit/mail/update).
Parameters:
body: the updateoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
EmailsResource.cancel
public JsonNode cancel(Object body) throws IOException, InterruptedExceptionSends a call cancellation (POST /video-call/livekit/mail/cancel).
Parameters:
body: the cancellation
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
public JsonNode cancel(Object body, RequestOptions options) throws IOException, InterruptedExceptionSends a call cancellation (POST /video-call/livekit/mail/cancel).
Parameters:
body: the cancellationoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on